ScreenlyyIDDocs
Docs › API reference › Identity verification

Enrol document

After you have generated a token you should have a valid accessToken and sessionId. Use them to enrol the document. The response includes the type of document that was submitted.

POSThttps://api.screenlyyid.com/api/v1/enrolment/document

Headers#

NameTypeRequiredDescription
x-api-keystringYesYour ScreenlyyID API key
x-correlation-idstring (uuid)YesCorrelation ID for this customer check
x-access-tokenstringYesProvider access token
x-session-idstringYesProvider session ID

Request body#

FieldTypeRequiredDescription
ImageBasestringNo

Responses#

StatusDescription
200Successful response

Response body (200)#

FieldTypeRequiredDescription
IsValidbooleanNo
IsTwoSideDocumentbooleanYes
PageSidestringNo
CountrystringNo
TypestringNo
HasErrorbooleanNo
ErrorstringNo

Code samples#

curl --request POST \
  --url 'https://api.screenlyyid.com/api/v1/enrolment/document' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'x-correlation-id: YOUR_CORRELATION_ID' \
  --header 'x-access-token: YOUR_ACCESS_TOKEN' \
  --header 'x-session-id: YOUR_SESSION_ID' \
  --header 'Content-Type: application/json' \
  --data '{
  "ImageBase": "<base64-encoded image>"
}'